OutputPort (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.rest

## Class OutputPort

- java.lang.Object
- - com.ibm.streamsx.rest.Element
  - - com.ibm.streamsx.rest.OutputPort

-     public class OutputPort
      extends Element

  An Output Port of the IBM Streams Operator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputPort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getIndexWithinOperator()` Gets the index of this output port within the `operator`
    `java.util.List<Metric>` | `getMetrics()` Gets the `metrics` for this output port
    `java.lang.String` | `getName()` Gets the name for this output port
    `java.lang.String` | `getResourceType()` Identifies the REST resource type
    `java.lang.String` | `getStreamName()` Identifies the name of the output stream associated with this output port

    - ### Methods inherited from class com.ibm.streamsx.rest.Element

      `getStreamsConnection, refresh, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputPort

          public OutputPort()

  - ### Method Detail

    - #### getIndexWithinOperator

          public long getIndexWithinOperator()

      Gets the index of this output port within the `operator`
      Returns:
        the index as a long

    - #### getMetrics

          public java.util.List<Metric> getMetrics()
                                            throws java.io.IOException

      Gets the `metrics` for this output port
      Returns:
        List of `IBM Streams Metrics`
      Throws:
        `java.io.IOException`

    - #### getName

          public java.lang.String getName()

      Gets the name for this output port
      Returns:
        the output port name

    - #### getResourceType

          public java.lang.String getResourceType()

      Identifies the REST resource type
      Returns:
        "operatorOutputPort"

    - #### getStreamName

          public java.lang.String getStreamName()

      Identifies the name of the output stream associated with this output port
      Returns:
        the output stream name for this port